Skip to main content
GET
/
management
/
clients
curl -X GET "https://api.cryptomate.me/management/clients?otp=true" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
    "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
    "type": "individual",
    "status": "ACTIVE",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "otp": true,
    "sms": true
  }
]
Retrieves a list of all clients for the company, with optional filtering by communication preferences. Requires an API key with access level 1 or higher.

Query parameters

otp
boolean
Filter by OTP preference.
sms
boolean
Filter by SMS preference.
whatsapp
boolean
Filter by WhatsApp preference.
telegram
boolean
Filter by Telegram preference.

Response

Returns an array of client objects. See Get client by ID for the full field list.
curl -X GET "https://api.cryptomate.me/management/clients?otp=true" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
    "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
    "type": "individual",
    "status": "ACTIVE",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "otp": true,
    "sms": true
  }
]